import axios from 'axios';
import { LogListPageParam, LogListFilter, LogListPageRes } from './types/log';

// 日志管理列表
export function getLogList(params: LogListPageParam): Promise<LogListPageRes> {
  return axios.post('/api/admin/operation/log/query', params);
}

// 导出日志
export function exportLog(params: LogListFilter): Promise<Blob> {
  return axios.post('/api/admin/operation/log/export', params, {
    responseType: 'blob',
  });
}
